<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pds/pampdsTemplate.xhtml">
            <ui:param name="pageTitle"
                      value="#{messages['gazelle.simulator.pam.PampdsUpdatePatientInformationadt^a31^adta05']}"></ui:param>
            <ui:param name="panelTitle" value="#{messages['gazelle.simulator.pam.UpdatePatient']}"></ui:param>
            <ui:param name="diagramSrc" value="diag/#{updateManager.sendingActor.keyword}_A31.png"></ui:param>
            <ui:param name="pdsBean" value="#{updateManager}"></ui:param>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.YouCanEitherSelectAPatientToUpdateEitherGenerate']}"
                        styleClass="help-block"
                        rendered="#{not updateManager.simulatedTransaction.keyword.equals('ITI-10')}"/>
                <h:outputText value="#{messages['gazelle.pam.SelectThePatientForWhichYouWantToReceiveTheUpdat']}"
                              styleClass="help-block"
                              rendered="#{updateManager.simulatedTransaction.keyword.equals('ITI-10')}"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <h:outputLink
                            value="#{patient.getPermanentLink()}"
                            target="_blank"
                            title="#{messages['gazelle.pam.ViewDetails']}">
                        <s:span styleClass="gzl-icon-search "/>
                    </h:outputLink>
                    <a4j:commandLink actionListener="#{updateManager.actionOnSelectedPatient(patient)}"
                                     render="messageConfigurationPanel" execute="@this">
                        <s:span styleClass="gzl-icon-pencil "/>
                    </a4j:commandLink>
                </g:column>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton" value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{updateManager.generateAPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                            id="selectedPatient" rendered="#{updateManager.secondaryPatient != null}">
                    <ui:define name="panel_title">#{messages['gazelle.simulator.pam.SelectedPatientForUpdate']}
                    </ui:define>
                    <ui:include src="/patient/editPatient.xhtml">
                        <ui:param name="patient" value="#{updateManager.secondaryPatient}"/>
                        <ui:param name="renderHistory" value="false"/>
                        <ui:param name="renderEncounters" value="false"/>
                        <ui:param name="renderZFD" value="#{iti30Manager.bp6Mode}"/>
                        <ui:param name="zfp" value="false"/>
                        <ui:param name="zfs" value="true"/>
                        <ui:param name="allowPidMgmt" value="true"/>
                        <ui:param name="renderRelationships" value="#{true}"/>
                    </ui:include>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.simulator.pam.SelectAnotherPatient']}"
                                           actionListener="#{updateManager.switchPatient()}"
                                           render="messageConfigurationPanel"
                                           styleClass="gzl-btn"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
